Page 1 of 1

Upgrade to V6

Posted: Tue May 10, 2016 9:00 pm
by Paul - Tracker Supp
PDF-XChange V6 has introduced changes to the MSI installers that will make upgrades to future versions smoother.

We strongly recommend that network installs use the MSI installers over the exe installers because of their better management of installation parameters.

By design, V5.5 to V6 upgrades will replace the Editor but NOT PDF-Tools, the Print Driver or Office2PDF, these applications are intended to be able to be installed concurrently. If you wish to replace a Pro Bundle completely, removing all old versions, you will need to first uninstall the old version before running the new. If you have used MSI installers this is simple to achieve across a domain using WMIC and PowerShell:

Code: Select all

#Uninstall old Versions
wmic product where "Vendor like '%Tracker Software%'" call uninstall

#Install new V6 Version
if($env:Processor_Architecture -eq "x86")
   {msiexec /i \\UNC\path\to\ProV6.x86.msi /qn /norestart TRANSFORMS=\\UNC\path\to\PDFXChangeV6x86.mst}
else
   {msiexec /i \\UNC\path\to\ProV6.x64.msi /qn /norestart TRANSFORMS=\\UNC\path\to\PDFXChangeV6x64.mst}
This has been tested and works well to remove all MSI instances of Tracker Software and installs a clean V6. It does not handle exe installed instances.

Re: Upgrade to V6

Posted: Tue Jun 07, 2016 8:16 pm
by Paul - Tracker Supp
The power of wmic facilitates easy uninstallation of all Tracker software older than a specific version.

Some users have been finding that on upgrading to V6 the target machines are not always in a consistent state regards the versions of Tracker Software installed. With the caveat that this is for msi installed instances, wmi filters and the wmic (the command line interface for wmi) provide a mechanism for both querying the current state of a machine as well as performing installation and uninstallation of software.

For example, the following command, used in conjunction with PowerShell will uninstall all instances of Tracker products older than the current build:

Code: Select all

wmic product where "Vendor like '%Tracker Software%' and Version < '6.0.317.1'" call uninstall
Note that thihs only works for MSI installed products. More detail on it's usage can be found here: http://www.tracker-software.com/knowled ... ic-version